| THM1176InstrumentManager 1.2 Qt Object abstraction for Metrolab THM1176

Loading...
Searching...
No Matches
MTL::CTHM1176InstrumentManager Class Reference

THM1176 Instrument Manager class: public interface. More...

`#include <CTHM1176InstrumentManager.h>`

Inheritance diagram for MTL::CTHM1176InstrumentManager:
[legend]
Collaboration diagram for MTL::CTHM1176InstrumentManager:
[legend]

## Public Slots
void | SetCurrentInstrument (tResourceName CurrentInstrument)
| Connect a new instrument.
void | SetOperatingMode (eTHM1176OperatingMode OperatingMode)
| Set a new operating mode, for example to start measuring.
void | SetAveragingParms (sAveraging< uParm > AveragingParms)
| Set the averaging parameters.
void | SetTriggerParms (sInputTrigger< uParm > TriggerParms)
| Set the trigger parameters.
void | SetOutputSelect (sArbitraryMeasurements OutputSelect)
| Set the output selection parameters.
void | SetSleepParm (bool SleepParm)
| Set the sleep parameter.
void | SetUnits (eTHM1176Units Units)
| Set the measurement units.
void | SetRangeParms (sRange< uParm > RangeParms)
| Set the range parameters.
void | SetCommFormat (eCommunicationFormat CommFormat)
| Set the communication format parameters.
void | Start (void)
| Initialize the THM1176 Instrument Manager.
void | Stop (void)
| Shut down the THM1176 Instrument Manager.

## Signals
void | SendTrigger (void)
| Send a bus trigger to the instrument (both slot and signal).
void | SetCalibrationOverride (bool Override)
| Set whether or not to override the check for instruments whose zero offset should not be calibrated.
void | NotifyInstrumentList (CResourceList InstrumentList)
| Notify that the list of detected instruments has changed.
void | NotifyCurrentInstrument (tResourceName CurrentInstrument)
| Notify that the currently connected instrument has changed.
void | NotifyOperatingMode (eTHM1176OperatingMode OperatingMode)
| Notify that the operating mode has changed.
void | NotifyMeasurement (CMeasurement Measurement)
| Notify that a new set of measurements is available.
void | NotifyErrorList (CErrorList ErrorList)
| Notify that new errors are present.
void | NotifyIdentification (sIdentifier Identification)
| Notify that the instrument identification information has changed.
void | NotifyRangeList (CFluxList RangeList)
| Notify that the list of valid ranges has changed.
void | NotifyUnitsList (CTHM1176UnitsList UnitsList)
| Notify that the list of valid measurement units has changed.
void | NotifyDivisorList (CDivisorList DivisorList)
| Notify that the list of divisors associated with each measurement unit for this instrument model has changed.
void | NotifyAveragingParmBounds (sAveraging< sBoundedParm > AveragingParmBounds)
| Notify that the bounds on averaging parameters have changed.
void | NotifyTriggerParmBounds (sInputTrigger< sBoundedParm > TriggerParmBounds)
| Notify that the bounds on trigger parameters have changed.
void | NotifyRangeParmBounds (sRange< sBoundedParm > RangeParmBounds)
| Notify that the bounds on range parameters have changed.
void | NotifyAveragingParms (sAveraging< uParm > AveragingParms)
| Notify that the averaging parameters have changed.
void | NotifyTriggerParms (sInputTrigger< uParm > TriggerParms)
| Notify that the trigger parameters have changed.
void | NotifyOutputSelect (sArbitraryMeasurements OutputSelect)
| Notify that the output selection parameters have changed.
void | NotifySleepParm (bool SleepParm)
| Notify that the sleep parameter has changed.
void | NotifyUnits (eTHM1176Units Units)
| Notify that the measurement units have changed.
void | NotifyRangeParms (sRange< uParm > RangeParms)
| Notify that the range parameters have changed.
void | NotifyCommFormat (eCommunicationFormat CommFormat)
| Notify that the communication format parameters have changed.
void | StartInstrumentScanner (THM1176_RSRC_MGR_CLS *pResourceManager)
| Internal signal to start the Instrument Scanner.
void | StopInstrumentScanner (void)
| Internal signal to stop the Instrument Scanner.
void | StartInstrumentController (THM1176_RSRC_MGR_CLS *pResourceManager)
| Internal signal to start to Instrument Controller.
void | StopInstrumentController (void)
| Internal signal to stop the Instrument Controller.
void | RelayCurrentInstrument (tResourceName CurrentInstrument)
| Internal signal to relay the instrument selection to the Instrument Controller.
void | RelayOperatingMode (eTHM1176OperatingMode OperatingMode)
| Internal signal to relay the operating mode selection to the Instrument Controller.
void | RelayAveragingParms (sAveraging< uParm > AveragingParms)
| Internal signal to relay the averaging parameters to the Instrument Controller.
void | RelayTriggerParms (sInputTrigger< uParm > TriggerParms)
| Internal signal to relay the trigger parameters to the Instrument Controller.
void | RelayOutputSelect (sArbitraryMeasurements OutputSelect)
| Internal signal to relay the output selection parameters to the Instrument Controller.
void | RelaySleepParm (bool SleepParm)
| Internal signal to relay the sleep parameter to the Instrument Controller.
void | RelayUnits (eTHM1176Units Units)
| Internal signal to relay the measurement units to the Instrument Controller.
void | RelayRangeParms (sRange< uParm > RangeParms)
| Internal signal to relay the range parameters to the Instrument Controller.
void | RelayCommFormat (eCommunicationFormat CommFormat)
| Internal signal to relay the communications format to the Instrument Controller.

## Public Member Functions
| CTHM1176InstrumentManager (void)
| Constructor.
| ~CTHM1176InstrumentManager (void)
| Destructor.
CResourceList | GetInstrumentList (void)
| Get the list of connected instruments.
tResourceName | GetCurrentInstrument (void)
| Get VISA resource name of currently connected instrument.
eTHM1176OperatingMode | GetOperatingMode (void)
| Get the current operating mode.
bool | GetIsTHMNullptr (void)
| Get the test result of m_pTHM1176 pointer is Nullptr.
CMeasurement | GetMeasurement (void)
| Get the last set of measurements.
CErrorList | GetErrorList (void)
| Get the current error list.
sIdentifier | GetIdentification (void)
| Get the current instrument's identification information.
CFluxList | GetRangeList (void)
| Get list of valid ranges for this instrument model.
CTHM1176UnitsList | GetUnitsList (void)
| Get the list of valid measurement units for this instrument model.
CDivisorList | GetDivisorList (void)
| Get the list of divisors associated with each measurement unit for this instrument model.
sAveraging< sBoundedParm > | GetAveragingParmBounds (void)
| Get the bounds on averaging parameters.
sInputTrigger< sBoundedParm > | GetTriggerParmBounds (void)
| Get the bounds on trigger parameters.
sRange< sBoundedParm > | GetRangeParmBounds (void)
| Get the bounds on range parameters.
sAveraging< uParm > | GetAveragingParms (void)
| Get the averaging parameters.
sInputTrigger< uParm > | GetTriggerParms (void)
| Get the trigger parameters.
sArbitraryMeasurements | GetOutputSelect (void)
| Get the output selection parameters.
bool | GetSleepParm (void)
| Get the sleep parameter.
eTHM1176Units | GetUnits (void)
| Get the measurement units.
sRange< uParm > | GetRangeParms (void)
| Get the range parameters.
eCommunicationFormat | GetCommFormat (void)
| Get the communication format parameters.
bool | GetImmediateMeasurementPeriod (const sAveraging< uParm > &rAvg, F64 &rPeriod)
| Get measurement interval for Immediate Trigger, for a given averaging parameter.
bool | ConvertTimestamp (const U64 RawTimestamp, CAbsoluteTimestamp &rTimestamp)
| Convert a raw timestamp to UNIX Epoch time and nanoseconds.
bool | ReadInformationDates (QDateTime &rManufacturingDate, QDateTime &rCalibrationDate)
| Fetch the intrument's date information.

## Static Public Attributes
static const I32 | THM1176_INST_MGR_ERROR = 5000
| Additional error code: Instrument Manager Error.
static const I32 | THM1176_INST_CTLR_ERROR = 5001
| Additional error code: Instrument Controller Error.
static const I32 | THM1176_INST_SCANNER_ERROR = 5002
| Additional error code: Instrument Scanner Error.

## Properties
CResourceList | InstrumentList
| List of detected instruments.
tResourceName | CurrentInstrument
| Currently connected instrument.
eTHM1176OperatingMode | OperatingMode
| Current operating mode.
CMeasurement | Measurement
| Last measurement set returned.
CErrorList | ErrorList
| Current error list.
sIdentifier | Identification
| Identification information of currently connected instrument.
CFluxList | RangeList
| List of valid ranges for this instrument model.
CTHM1176UnitsList | UnitsList
| List of valid measurement units for this instrument model.
CDivisorList | DivisorList
| List of divisors for each measurement unit for this instrument model, to convert "base" units to the selected units.
sAveraging< sBoundedParm > | AveragingParmBounds
| Bounds on averaging parameter.
sInputTrigger< sBoundedParm > | TriggerParmBounds
| Bounds on trigger parameters.
sRange< sBoundedParm > | RangeParmBounds
| Bounds on range parameters.
sAveraging< uParm > | AveragingParms
| Current averaging parameters.
sInputTrigger< uParm > | TriggerParms
| Current trigger parameters.
sArbitraryMeasurements | OutputSelect
| Output selection parameters: select what data elements are returned.
bool | SleepParm
| Sleep parameter: true if instrument should sleep after each measurement.
eTHM1176Units | Units
| Current measurement units.
sRange< uParm > | RangeParms
| Current range parameters.
eCommunicationFormat | CommFormat
| Current communication format parameter.

## Detailed Description

THM1176 Instrument Manager class: public interface.

This object manages the public interface of the THM1176 Instrument Manager. It is the only object the user needs to deal with.

Definition at line 538 of file CTHM1176InstrumentManager.h.

## Constructor & Destructor Documentation

## ◆ CTHM1176InstrumentManager()

MTL::CTHM1176InstrumentManager::CTHM1176InstrumentManager | ( | void |  | ) |
| inline

Constructor.

Definition at line 656 of file CTHM1176InstrumentManager.h.

## ◆ ~CTHM1176InstrumentManager()

MTL::CTHM1176InstrumentManager::~CTHM1176InstrumentManager | ( | void |  | ) |
| inline

Destructor.

Definition at line 695 of file CTHM1176InstrumentManager.h.

## Member Function Documentation

## ◆ ConvertTimestamp()

bool MTL::CTHM1176InstrumentManager::ConvertTimestamp | ( | const U64 | RawTimestamp,
|  | CAbsoluteTimestamp & | rTimestamp )
| inline

Convert a raw timestamp to UNIX Epoch time and nanoseconds.

Parameters

  [in] | RawTimestamp | Raw timestamp returned by instrument.
  [out] | rTimestamp | Timestamp as UNIX Epoch time and nanoseconds.

Returns
  True if successful.

Definition at line 794 of file CTHM1176InstrumentManager.h.

## ◆ GetAveragingParmBounds()

sAveraging< sBoundedParm > CTHM1176InstrumentManager::GetAveragingParmBounds | ( | void |  | ) |

Get the bounds on averaging parameters.

Returns
  Bounds on averaging parameters.

Definition at line 1501 of file CTHM1176InstrumentManager.cpp.

## ◆ GetAveragingParms()

sAveraging< uParm > CTHM1176InstrumentManager::GetAveragingParms | ( | void |  | ) |

Get the averaging parameters.

Returns
  Current value of averaging parameters.

Definition at line 1527 of file CTHM1176InstrumentManager.cpp.

## ◆ GetCommFormat()

eCommunicationFormat CTHM1176InstrumentManager::GetCommFormat | ( | void |  | ) |

Get the communication format parameters.

Returns
  Current value of communication format parameter.

Definition at line 1575 of file CTHM1176InstrumentManager.cpp.

## ◆ GetCurrentInstrument()

tResourceName CTHM1176InstrumentManager::GetCurrentInstrument | ( | void |  | ) |

Get VISA resource name of currently connected instrument.

Returns
  VISA resource name of currently connected instrument.

Definition at line 1433 of file CTHM1176InstrumentManager.cpp.

## ◆ GetDivisorList()

CDivisorList CTHM1176InstrumentManager::GetDivisorList | ( | void |  | ) |

Get the list of divisors associated with each measurement unit for this instrument model.

Returns
  List of divisors for each measurement unit.

Definition at line 1493 of file CTHM1176InstrumentManager.cpp.

## ◆ GetErrorList()

CErrorList CTHM1176InstrumentManager::GetErrorList | ( | void |  | ) |

Get the current error list.

Returns
  Current list of errors.

Definition at line 1461 of file CTHM1176InstrumentManager.cpp.

## ◆ GetIdentification()

sIdentifier CTHM1176InstrumentManager::GetIdentification | ( | void |  | ) |

Get the current instrument's identification information.

Returns
  Instrument identification.

Definition at line 1469 of file CTHM1176InstrumentManager.cpp.

## ◆ GetImmediateMeasurementPeriod()

bool CTHM1176InstrumentManager::GetImmediateMeasurementPeriod | ( | const sAveraging< uParm > & | rAvg,
|  | F64 & | rPeriod )

Get measurement interval for Immediate Trigger, for a given averaging parameter.

Parameters

  [in] | rAvg | Averaging setting.
  [out] | rPeriod | Corresponding measurement period, in s.

Returns
  True if successful.

Definition at line 1583 of file CTHM1176InstrumentManager.cpp.

## ◆ GetInstrumentList()

CResourceList CTHM1176InstrumentManager::GetInstrumentList | ( | void |  | ) |

Get the list of connected instruments.

Returns
  List of connected instruments.

Definition at line 1427 of file CTHM1176InstrumentManager.cpp.

## ◆ GetIsTHMNullptr()

bool CTHM1176InstrumentManager::GetIsTHMNullptr | ( | void |  | ) |

Get the test result of m_pTHM1176 pointer is Nullptr.

Returns
  Boolean.

Definition at line 1445 of file CTHM1176InstrumentManager.cpp.

## ◆ GetMeasurement()

CMeasurement CTHM1176InstrumentManager::GetMeasurement | ( | void |  | ) |

Get the last set of measurements.

Returns
  Last set of measurements.

Definition at line 1453 of file CTHM1176InstrumentManager.cpp.

## ◆ GetOperatingMode()

eTHM1176OperatingMode CTHM1176InstrumentManager::GetOperatingMode | ( | void |  | ) |

Get the current operating mode.

Returns
  Current operating mode.

Definition at line 1439 of file CTHM1176InstrumentManager.cpp.

## ◆ GetOutputSelect()

sArbitraryMeasurements CTHM1176InstrumentManager::GetOutputSelect | ( | void |  | ) |

Get the output selection parameters.

Returns
  Current value of output selection parameters.

Definition at line 1543 of file CTHM1176InstrumentManager.cpp.

## ◆ GetRangeList()

CFluxList CTHM1176InstrumentManager::GetRangeList | ( | void |  | ) |

Get list of valid ranges for this instrument model.

Returns
  List of ranges.

Definition at line 1477 of file CTHM1176InstrumentManager.cpp.

## ◆ GetRangeParmBounds()

sRange< sBoundedParm > CTHM1176InstrumentManager::GetRangeParmBounds | ( | void |  | ) |

Get the bounds on range parameters.

Returns
  Bounds on range parameters.

Definition at line 1517 of file CTHM1176InstrumentManager.cpp.

## ◆ GetRangeParms()

sRange< uParm > CTHM1176InstrumentManager::GetRangeParms | ( | void |  | ) |

Get the range parameters.

Returns
  Current value of range parameters.

Definition at line 1567 of file CTHM1176InstrumentManager.cpp.

## ◆ GetSleepParm()

bool CTHM1176InstrumentManager::GetSleepParm | ( | void |  | ) |

Get the sleep parameter.

Returns
  Current value of sleep parameter.

Definition at line 1551 of file CTHM1176InstrumentManager.cpp.

## ◆ GetTriggerParmBounds()

sInputTrigger< sBoundedParm > CTHM1176InstrumentManager::GetTriggerParmBounds | ( | void |  | ) |

Get the bounds on trigger parameters.

Returns
  Bounds on trigger parameters.

Definition at line 1509 of file CTHM1176InstrumentManager.cpp.

## ◆ GetTriggerParms()

sInputTrigger< uParm > CTHM1176InstrumentManager::GetTriggerParms | ( | void |  | ) |

Get the trigger parameters.

Returns
  Current value of trigger parameters.

Definition at line 1535 of file CTHM1176InstrumentManager.cpp.

## ◆ GetUnits()

eTHM1176Units CTHM1176InstrumentManager::GetUnits | ( | void |  | ) |

Get the measurement units.

Returns
  Current measurement units.

Definition at line 1559 of file CTHM1176InstrumentManager.cpp.

## ◆ GetUnitsList()

CTHM1176UnitsList CTHM1176InstrumentManager::GetUnitsList | ( | void |  | ) |

Get the list of valid measurement units for this instrument model.

Returns
  List of valid measurement units.

Definition at line 1485 of file CTHM1176InstrumentManager.cpp.

## ◆ NotifyAveragingParmBounds

void MTL::CTHM1176InstrumentManager::NotifyAveragingParmBounds | ( | sAveraging< sBoundedParm > | AveragingParmBounds | ) |
| signal

Notify that the bounds on averaging parameters have changed.

Parameters

  [in] | AveragingParmBounds | New bounds on averaging parameters

## ◆ NotifyAveragingParms

void MTL::CTHM1176InstrumentManager::NotifyAveragingParms | ( | sAveraging< uParm > | AveragingParms | ) |
| signal

Notify that the averaging parameters have changed.

Parameters

  [in] | AveragingParms | New value of averaging parameters.

## ◆ NotifyCommFormat

void MTL::CTHM1176InstrumentManager::NotifyCommFormat | ( | eCommunicationFormat | CommFormat | ) |
| signal

Notify that the communication format parameters have changed.

Parameters

  [in] | CommFormat | New value of communication format parameters.

## ◆ NotifyCurrentInstrument

void MTL::CTHM1176InstrumentManager::NotifyCurrentInstrument | ( | tResourceName | CurrentInstrument | ) |
| signal

Notify that the currently connected instrument has changed.

Parameters

  [in] | CurrentInstrument | VISA resource name of currently connected instrument.

## ◆ NotifyDivisorList

void MTL::CTHM1176InstrumentManager::NotifyDivisorList | ( | CDivisorList | DivisorList | ) |
| signal

Notify that the list of divisors associated with each measurement unit for this instrument model has changed.

Parameters

  [in] | DivisorList | List of divisors for each measurement unit.

## ◆ NotifyErrorList

void MTL::CTHM1176InstrumentManager::NotifyErrorList | ( | CErrorList | ErrorList | ) |
| signal

Notify that new errors are present.

Parameters

  [in] | ErrorList | List of errors.

## ◆ NotifyIdentification

void MTL::CTHM1176InstrumentManager::NotifyIdentification | ( | sIdentifier | Identification | ) |
| signal

Notify that the instrument identification information has changed.

Parameters

  [in] | Identification | Instrument identification.

## ◆ NotifyInstrumentList

void MTL::CTHM1176InstrumentManager::NotifyInstrumentList | ( | CResourceList | InstrumentList | ) |
| signal

Notify that the list of detected instruments has changed.

Parameters

  [in] | InstrumentList | List of detected instruments.

## ◆ NotifyMeasurement

void MTL::CTHM1176InstrumentManager::NotifyMeasurement | ( | CMeasurement | Measurement | ) |
| signal

Notify that a new set of measurements is available.

Parameters

  [in] | Measurement | Most recent set of measurements.

## ◆ NotifyOperatingMode

void MTL::CTHM1176InstrumentManager::NotifyOperatingMode | ( | eTHM1176OperatingMode | OperatingMode | ) |
| signal

Notify that the operating mode has changed.

Parameters

  [in] | OperatingMode | New operating mode.

## ◆ NotifyOutputSelect

void MTL::CTHM1176InstrumentManager::NotifyOutputSelect | ( | sArbitraryMeasurements | OutputSelect | ) |
| signal

Notify that the output selection parameters have changed.

Parameters

  [in] | OutputSelect | New value of output selection parameters.

## ◆ NotifyRangeList

void MTL::CTHM1176InstrumentManager::NotifyRangeList | ( | CFluxList | RangeList | ) |
| signal

Notify that the list of valid ranges has changed.

Parameters

  [in] | RangeList | New list of ranges.

## ◆ NotifyRangeParmBounds

void MTL::CTHM1176InstrumentManager::NotifyRangeParmBounds | ( | sRange< sBoundedParm > | RangeParmBounds | ) |
| signal

Notify that the bounds on range parameters have changed.

Parameters

  [in] | RangeParmBounds | New bounds on range parameters

## ◆ NotifyRangeParms

void MTL::CTHM1176InstrumentManager::NotifyRangeParms | ( | sRange< uParm > | RangeParms | ) |
| signal

Notify that the range parameters have changed.

Parameters

  [in] | RangeParms | New value of range parameters.

## ◆ NotifySleepParm

void MTL::CTHM1176InstrumentManager::NotifySleepParm | ( | bool | SleepParm | ) |
| signal

Notify that the sleep parameter has changed.

Parameters

  [in] | SleepParm | New value of sleep parameters.

## ◆ NotifyTriggerParmBounds

void MTL::CTHM1176InstrumentManager::NotifyTriggerParmBounds | ( | sInputTrigger< sBoundedParm > | TriggerParmBounds | ) |
| signal

Notify that the bounds on trigger parameters have changed.

Parameters

  [in] | TriggerParmBounds | New bounds on trigger parameters

## ◆ NotifyTriggerParms

void MTL::CTHM1176InstrumentManager::NotifyTriggerParms | ( | sInputTrigger< uParm > | TriggerParms | ) |
| signal

Notify that the trigger parameters have changed.

Parameters

  [in] | TriggerParms | New value of trigger parameters.

## ◆ NotifyUnits

void MTL::CTHM1176InstrumentManager::NotifyUnits | ( | eTHM1176Units | Units | ) |
| signal

Notify that the measurement units have changed.

Parameters

  [in] | Units | New measurement units.

## ◆ NotifyUnitsList

void MTL::CTHM1176InstrumentManager::NotifyUnitsList | ( | CTHM1176UnitsList | UnitsList | ) |
| signal

Notify that the list of valid measurement units has changed.

Parameters

  [in] | UnitsList | New ist of valid measurement units.

## ◆ ReadInformationDates()

bool CTHM1176InstrumentManager::ReadInformationDates | ( | QDateTime & | rManufacturingDate,
|  | QDateTime & | rCalibrationDate )

Fetch the intrument's date information.

Parameters

  [out] | rManufacturingDate | Manufacturing date as QDateTime.
  [out] | rCalibrationDate | Calibration date as QDateTime.

Returns
  True if successful.

Definition at line 1596 of file CTHM1176InstrumentManager.cpp.

## ◆ RelayAveragingParms

void MTL::CTHM1176InstrumentManager::RelayAveragingParms | ( | sAveraging< uParm > | AveragingParms | ) |
| signal

Internal signal to relay the averaging parameters to the Instrument Controller.

Parameters

  [in] | AveragingParms | Newly selected averaging parameters.

## ◆ RelayCommFormat

void MTL::CTHM1176InstrumentManager::RelayCommFormat | ( | eCommunicationFormat | CommFormat | ) |
| signal

Internal signal to relay the communications format to the Instrument Controller.

Parameters

  [in] | CommFormat | Newly selected communications format.

## ◆ RelayCurrentInstrument

void MTL::CTHM1176InstrumentManager::RelayCurrentInstrument | ( | tResourceName | CurrentInstrument | ) |
| signal

Internal signal to relay the instrument selection to the Instrument Controller.

Parameters

  [in] | CurrentInstrument | VISA resource name for the newly selected instrument.

## ◆ RelayOperatingMode

void MTL::CTHM1176InstrumentManager::RelayOperatingMode | ( | eTHM1176OperatingMode | OperatingMode | ) |
| signal

Internal signal to relay the operating mode selection to the Instrument Controller.

Parameters

  [in] | OperatingMode | Newly selected operating mode.

## ◆ RelayOutputSelect

void MTL::CTHM1176InstrumentManager::RelayOutputSelect | ( | sArbitraryMeasurements | OutputSelect | ) |
| signal

Internal signal to relay the output selection parameters to the Instrument Controller.

Parameters

  [in] | OutputSelect | Newly selected output selection parameters.

## ◆ RelayRangeParms

void MTL::CTHM1176InstrumentManager::RelayRangeParms | ( | sRange< uParm > | RangeParms | ) |
| signal

Internal signal to relay the range parameters to the Instrument Controller.

Parameters

  [in] | RangeParms | Newly selected range parameters.

## ◆ RelaySleepParm

void MTL::CTHM1176InstrumentManager::RelaySleepParm | ( | bool | SleepParm | ) |
| signal

Internal signal to relay the sleep parameter to the Instrument Controller.

Parameters

  SleepParm | Newly selected sleep parameter.

## ◆ RelayTriggerParms

void MTL::CTHM1176InstrumentManager::RelayTriggerParms | ( | sInputTrigger< uParm > | TriggerParms | ) |
| signal

Internal signal to relay the trigger parameters to the Instrument Controller.

Parameters

  [in] | TriggerParms | Newly selected trigger parameters.

## ◆ RelayUnits

void MTL::CTHM1176InstrumentManager::RelayUnits | ( | eTHM1176Units | Units | ) |
| signal

Internal signal to relay the measurement units to the Instrument Controller.

Parameters

  [in] | Units | Newly selected measurement units.

## ◆ SendTrigger

void MTL::CTHM1176InstrumentManager::SendTrigger | ( | void |  | ) |
| signal

Send a bus trigger to the instrument (both slot and signal).

Note: Invoke this signal as if it were a slot. This will emit a signal to the THM1176 Inastrument Controller, which will actually emit the bus trigger.

## ◆ SetAveragingParms

void CTHM1176InstrumentManager::SetAveragingParms | ( | sAveraging< uParm > | AveragingParms | ) |
| slot

Set the averaging parameters.

Parameters

  [in] | AveragingParms | Desired value of averaging parameters.

Definition at line 1670 of file CTHM1176InstrumentManager.cpp.

## ◆ SetCalibrationOverride

void MTL::CTHM1176InstrumentManager::SetCalibrationOverride | ( | bool | Override | ) |
| signal

Set whether or not to override the check for instruments whose zero offset should not be calibrated.

Parameters

  [in] | Override | Override the check if true.

Note: Invoke this signal as if it were a slot. This will emit a signal to the THM1176 Inastrument Controller, which will actually set the parameter.

## ◆ SetCommFormat

void CTHM1176InstrumentManager::SetCommFormat | ( | eCommunicationFormat | CommFormat | ) |
| slot

Set the communication format parameters.

Parameters

  [in] | CommFormat | Desired value of communication format parameters.

Definition at line 1830 of file CTHM1176InstrumentManager.cpp.

## ◆ SetCurrentInstrument

void CTHM1176InstrumentManager::SetCurrentInstrument | ( | tResourceName | CurrentInstrument | ) |
| slot

Connect a new instrument.

Parameters

  [in] | CurrentInstrument | VISA resource name of instrument to connect.

Definition at line 1626 of file CTHM1176InstrumentManager.cpp.

## ◆ SetOperatingMode

void CTHM1176InstrumentManager::SetOperatingMode | ( | eTHM1176OperatingMode | OperatingMode | ) |
| slot

Set a new operating mode, for example to start measuring.

Parameters

  [in] | OperatingMode | Desired operting mode.

Definition at line 1650 of file CTHM1176InstrumentManager.cpp.

## ◆ SetOutputSelect

void CTHM1176InstrumentManager::SetOutputSelect | ( | sArbitraryMeasurements | OutputSelect | ) |
| slot

Set the output selection parameters.

Parameters

  [in] | OutputSelect | Desired value of output selection parameters.

Definition at line 1725 of file CTHM1176InstrumentManager.cpp.

## ◆ SetRangeParms

void CTHM1176InstrumentManager::SetRangeParms | ( | sRange< uParm > | RangeParms | ) |
| slot

Set the range parameters.

Parameters

  [in] | RangeParms | Desired value of range parameters.

Definition at line 1798 of file CTHM1176InstrumentManager.cpp.

## ◆ SetSleepParm

void CTHM1176InstrumentManager::SetSleepParm | ( | bool | SleepParm | ) |
| slot

Set the sleep parameter.

Parameters

  [in] | SleepParm | Desired value of sleep parameter.

Definition at line 1751 of file CTHM1176InstrumentManager.cpp.

## ◆ SetTriggerParms

void CTHM1176InstrumentManager::SetTriggerParms | ( | sInputTrigger< uParm > | TriggerParms | ) |
| slot

Set the trigger parameters.

Parameters

  [in] | TriggerParms | Desired value of trigger parameters.

Definition at line 1696 of file CTHM1176InstrumentManager.cpp.

## ◆ SetUnits

void CTHM1176InstrumentManager::SetUnits | ( | eTHM1176Units | Units | ) |
| slot

Set the measurement units.

Parameters

  [in] | Units | Desired measurement units.

Definition at line 1770 of file CTHM1176InstrumentManager.cpp.

## ◆ Start

void CTHM1176InstrumentManager::Start | ( | void |  | ) |
| slot

Initialize the THM1176 Instrument Manager.

Definition at line 1056 of file CTHM1176InstrumentManager.cpp.

## ◆ StartInstrumentController

void MTL::CTHM1176InstrumentManager::StartInstrumentController | ( | THM1176_RSRC_MGR_CLS * | pResourceManager | ) |
| signal

Internal signal to start to Instrument Controller.

Parameters

  [in] | pResourceManager | Pointer to VISA Resource Manager.

## ◆ StartInstrumentScanner

void MTL::CTHM1176InstrumentManager::StartInstrumentScanner | ( | THM1176_RSRC_MGR_CLS * | pResourceManager | ) |
| signal

Internal signal to start the Instrument Scanner.

Parameters

  [in] | pResourceManager | Pointer to VISA Resource Manager.

## ◆ Stop

void CTHM1176InstrumentManager::Stop | ( | void |  | ) |
| slot

Shut down the THM1176 Instrument Manager.

Definition at line 1181 of file CTHM1176InstrumentManager.cpp.

## ◆ StopInstrumentController

void MTL::CTHM1176InstrumentManager::StopInstrumentController | ( | void |  | ) |
| signal

Internal signal to stop the Instrument Controller.

## ◆ StopInstrumentScanner

void MTL::CTHM1176InstrumentManager::StopInstrumentScanner | ( | void |  | ) |
| signal

Internal signal to stop the Instrument Scanner.

## Member Data Documentation

## ◆ THM1176_INST_CTLR_ERROR

const I32 MTL::CTHM1176InstrumentManager::THM1176_INST_CTLR_ERROR = 5001
| static

Additional error code: Instrument Controller Error.

Definition at line 649 of file CTHM1176InstrumentManager.h.

## ◆ THM1176_INST_MGR_ERROR

const I32 MTL::CTHM1176InstrumentManager::THM1176_INST_MGR_ERROR = 5000
| static

Additional error code: Instrument Manager Error.

Definition at line 648 of file CTHM1176InstrumentManager.h.

## ◆ THM1176_INST_SCANNER_ERROR

const I32 MTL::CTHM1176InstrumentManager::THM1176_INST_SCANNER_ERROR = 5002
| static

Additional error code: Instrument Scanner Error.

Definition at line 650 of file CTHM1176InstrumentManager.h.

## Property Documentation

## ◆ AveragingParmBounds

sAveraging<sBoundedParm> MTL::CTHM1176InstrumentManager::AveragingParmBounds
| read

Bounds on averaging parameter.

Definition at line 567 of file CTHM1176InstrumentManager.h.

## ◆ AveragingParms

sAveraging<uParm> MTL::CTHM1176InstrumentManager::AveragingParms
| read write

Current averaging parameters.

Definition at line 575 of file CTHM1176InstrumentManager.h.

## ◆ CommFormat

eCommunicationFormat MTL::CTHM1176InstrumentManager::CommFormat
| read write

Current communication format parameter.

Definition at line 587 of file CTHM1176InstrumentManager.h.

## ◆ CurrentInstrument

tResourceName MTL::CTHM1176InstrumentManager::CurrentInstrument
| read write

Currently connected instrument.

Definition at line 549 of file CTHM1176InstrumentManager.h.

## ◆ DivisorList

CDivisorList MTL::CTHM1176InstrumentManager::DivisorList
| read

List of divisors for each measurement unit for this instrument model, to convert "base" units to the selected units.

Definition at line 565 of file CTHM1176InstrumentManager.h.

## ◆ ErrorList

CErrorList MTL::CTHM1176InstrumentManager::ErrorList
| read

Current error list.

Definition at line 555 of file CTHM1176InstrumentManager.h.

## ◆ Identification

sIdentifier MTL::CTHM1176InstrumentManager::Identification
| read

Identification information of currently connected instrument.

Definition at line 559 of file CTHM1176InstrumentManager.h.

## ◆ InstrumentList

CResourceList MTL::CTHM1176InstrumentManager::InstrumentList
| read

List of detected instruments.

Definition at line 547 of file CTHM1176InstrumentManager.h.

## ◆ Measurement

CMeasurement MTL::CTHM1176InstrumentManager::Measurement
| read

Last measurement set returned.

Definition at line 553 of file CTHM1176InstrumentManager.h.

## ◆ OperatingMode

eTHM1176OperatingMode MTL::CTHM1176InstrumentManager::OperatingMode
| read write

Current operating mode.

Definition at line 551 of file CTHM1176InstrumentManager.h.

## ◆ OutputSelect

sArbitraryMeasurements MTL::CTHM1176InstrumentManager::OutputSelect
| read write

Output selection parameters: select what data elements are returned.

Definition at line 579 of file CTHM1176InstrumentManager.h.

## ◆ RangeList

CFluxList MTL::CTHM1176InstrumentManager::RangeList
| read

List of valid ranges for this instrument model.

Definition at line 561 of file CTHM1176InstrumentManager.h.

## ◆ RangeParmBounds

sRange<sBoundedParm> MTL::CTHM1176InstrumentManager::RangeParmBounds
| read

Bounds on range parameters.

Definition at line 571 of file CTHM1176InstrumentManager.h.

## ◆ RangeParms

sRange<uParm> MTL::CTHM1176InstrumentManager::RangeParms
| read write

Current range parameters.

Definition at line 585 of file CTHM1176InstrumentManager.h.

## ◆ SleepParm

bool MTL::CTHM1176InstrumentManager::SleepParm
| read write

Sleep parameter: true if instrument should sleep after each measurement.

Definition at line 581 of file CTHM1176InstrumentManager.h.

## ◆ TriggerParmBounds

sInputTrigger<sBoundedParm> MTL::CTHM1176InstrumentManager::TriggerParmBounds
| read

Bounds on trigger parameters.

Definition at line 569 of file CTHM1176InstrumentManager.h.

## ◆ TriggerParms

sInputTrigger<uParm> MTL::CTHM1176InstrumentManager::TriggerParms
| read write

Current trigger parameters.

Definition at line 577 of file CTHM1176InstrumentManager.h.

## ◆ Units

eTHM1176Units MTL::CTHM1176InstrumentManager::Units
| read write

Current measurement units.

Definition at line 583 of file CTHM1176InstrumentManager.h.

## ◆ UnitsList

CTHM1176UnitsList MTL::CTHM1176InstrumentManager::UnitsList
| read

List of valid measurement units for this instrument model.

Definition at line 563 of file CTHM1176InstrumentManager.h.

The documentation for this class was generated from the following files:

- THM1176InstrumentManager/include/CTHM1176InstrumentManager.h
- THM1176InstrumentManager/src/CTHM1176InstrumentManager.cpp